<?php

/* For licensing terms, see /license.txt */
/**/
ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(E_ALL);

include __DIR__.'/edition_0_list.php';

require_once __DIR__.'/../../main/inc/global.inc.php';

if (!api_is_platform_admin()) {
    die('You must have admin permissions to use this function');
}

require_once 'chamilo_boost_transac_edit.php';

$plugin = chamilo_boost_transac_edit::create();

$id = isset($_GET['id']) ? (int) $_GET['id'] : 0;

$form = new FormValidator('chamilo_boost_transac_edit','post','edition_2.php?id='.$id);

//main\template\default\mail\new_user_first_email_confirmation.tpl
//main\template\default\mail\new_user_second_email_confirmation.tpl

$fileName = 'tpl-active/'.$templateSrc[$id];

$form->addElement('static', '', '', '<a class="btn btn-success" style="float:left;" href="index.php" >&larr;</a><center>&nbsp;'.$fileName.'</center>');

if(file_exists($fileName)) {
	$_SESSION['SendMessage'.$id] = file_get_contents($fileName);
}

$config = [
	'ToolbarSet' => 'Minimal',
	'Width' => '100%',
	'Height' => '560',
];

$Text2 = $form->addHtmlEditor('Message', 'Message', false, false, $config, true);

if(isset($_SESSION['SendMessage'.$id])){

	$form->setDefaults([
		'Message' => $_SESSION['SendMessage'.$id],
	]);

}

$form->addButtonSave('Preview');

$htmlHeadXtra[] = '<script src="js/app.js" type="text/javascript" ></script>';

$tpl = new Template();
$tpl->assign('form', $form->returnForm());

$content = $tpl->fetch('/chamilo_boost_transac_edit/view/editorview.tpl');

$tpl->assign('content', $content);

$tpl->display_one_col_template();
