<?php

/* For licensing terms, see /license.txt */
/**/
ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(E_ALL);

include __DIR__.'/edition_0_list.php';

require_once __DIR__.'/../../main/inc/global.inc.php';

if (!api_is_platform_admin()) {
    die('You must have admin permissions to use this function');
}

require_once 'chamilo_boost_transac_edit.php';

$plugin = chamilo_boost_transac_edit::create();

$id = isset($_GET['id']) ? (int) $_GET['id'] : 0;
$Message = isset($_POST['Message']) ? Security::remove_XSS($_POST['Message']) : 'erreur';

$_SESSION['SendMessage'.$id] = $Message;

$form = new FormValidator('chamilo_boost_transac_edit', 'post','edition_3.php?id='.$id);

$Message = cleanOverviewMessage($Message);

$fileName = 'tpl-active/'.$templateSrc[$id];

$form->addElement('static', '', '', '<a class="btn btn-success" style="float:left;" href="edition_1.php?id='.$id.'" >&larr;</a><center>&nbsp;'.$fileName.'</center>');

$form->addElement('static', '', '', '<div style="border:solid 1px gray;padding:10px;" >'.$Message.'</div>');

$form->addButtonSave('Apply');

$htmlHeadXtra[] = '<script src="js/app.js" type="text/javascript" ></script>';

$tpl = new Template();//'extraCom'
$tpl->assign('form', $form->returnForm());

$content = $tpl->fetch('/chamilo_boost_transac_edit/view/editorview.tpl');
// Assign into content
$tpl->assign('content', $content);
// Display
$tpl->display_one_col_template();


function cleanOverviewMessage($Message){

    $replace = array("{{ 'Dear'|get_lang }} ","{{ complete_name }}","{{ 'YouAreReg'|get_lang }}","{{ _s.site_name }}","{{ 'WithTheFollowingSettings'|get_lang }}");
    $with = array(get_lang('Dear'),' Mister HIDE ',get_lang('YouAreReg'),api_get_setting('siteName'),get_lang('WithTheFollowingSettings'));
    $Message = str_replace($replace, $with, $Message);
    
    $replace = array("{{ original_password }}");
    $with = array('FAKEPASSWORD');
    $Message = str_replace($replace, $with,$Message);

    $replace = array("{{ 'Username'|get_lang }} ","{{ login_name }}","{{ 'YouWillReceivedASecondEmail'|get_lang }}","{{ 'Address'|get_lang }}","{{ 'Is'|get_lang }}");
    $with = array(get_lang('Username'),' LOGINHIDE ',get_lang('YouWillReceivedASecondEmail'),get_lang('Address'),get_lang('Is'));
    $Message = str_replace($replace, $with, $Message);
    
    $replace = array("{{ mailWebPath }}","{{ 'Problem'|get_lang }}","{{ 'SignatureFormula'|get_lang }}");
    $with = array(api_get_path(WEB_PATH),get_lang('Problem'),get_lang('SignatureFormula'));
    $Message = str_replace($replace, $with, $Message);
    
    $replace = array("{{ _admin.name }}","{{ _admin.surname }}","{{ 'Manager'|get_lang }}","{{ _admin.telephone ? 'T. ' ~ _admin.telephone }}","{{ _admin.email ? 'Email'|get_lang ~ ': ' ~ _admin.email }}");
    $with = array(api_get_setting('administratorName'),api_get_setting('administratorSurname'),get_lang('Manager'),api_get_setting('administratorTelephone'),api_get_setting('emailAdministrator'));
    $Message = str_replace($replace, $with, $Message);
    
    $replace = array("{{ 'Pass'|get_lang }}","{{ original_password }}");
    $with = array(get_lang('Pass'),'PASSWORDHIDE');
    $Message = str_replace($replace, $with, $Message);
    
    $replace = array("{{ 'YouReceivedAnEmailWithTheUsername'|get_lang }}","{{ 'ThanksForRegisteringToSite'|get_lang|format(_s.site_name) }}");
    $with = array(get_lang('YouReceivedAnEmailWithTheUsername'),get_lang('ThanksForRegisteringToSite'));
    $Message = str_replace($replace, $with, $Message);

    return $Message;

}